# decisions_71_validation_using_function.py
# Demonstrate validation using a function.


def main():
    print('Guests may ride this attraction if they are at least 6 years old and less than 90 years old.')
    print('Guests may ride this attraction if they weigh at least 50 pounds and less than 300 pounds.')
    age = int(input('Please enter guest\'s age: '))
    weight = int(input('Please enter guest\'s weight (in pounds): '))

    guest_qualified = is_qualified_guest(age, weight)

    if guest_qualified:
        print('This guest may ride the attraction.')
    else:
        print('This guest MAY NOT ride the attraction.')


def is_qualified_guest(age, weight):
    input_validity = True
    if age < 6:
        input_validity = False
    if age >= 90:
        input_validity = False
    if weight < 50:
        input_validity = False
    if weight >= 300:
        input_validity = False
    return input_validity


main()
